Name: pam_ssh
Version: 1.91
Release: 14%{?dist}
Summary: PAM module for use with SSH keys and ssh-agent
Source: http://dl.sourceforge.net/sourceforge/pam-ssh/pam_ssh-%{version}.tar.bz2
URL: http://sourceforge.net/projects/pam-ssh/
Patch0: pam_ssh-1.91-getpwnam.patch
Patch1: pam_ssh-1.91-var_run.patch
Patch2: pam_ssh-1.91-man_agent_files.diff
Patch3: pam_ssh-1.91-include_md5.diff
Patch4: pam_ssh-1.91-include_syslog.diff

License: BSD
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: openssh-clients
BuildRequires: pam-devel, openssh-clients, openssl-devel
Group: System Environment/Base

%description
This PAM module provides single sign-on behavior for UNIX using SSH keys. 
Users are authenticated by decrypting their SSH private keys with the 
password provided. In the first PAM login session phase, an ssh-agent 
process is started and keys are added. The same agent is used for the
following PAM sessions. In any case the appropriate environment variables
are set in the session phase.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
%configure  --with-pam-dir=/%{_lib}/security/
make clean
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/%{_localstatedir}/run/pam_ssh

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README ChangeLog TODO COPYING
/%{_lib}/security/pam_ssh.so
%{_mandir}/man[^3]/pam_ssh*
%dir %{_localstatedir}/run/pam_ssh

%changelog
* Fri Feb 17 2006 Patrice Dumas <dumas@centre-cired.fr> - 1.91-14
- rebuild for fc5

* Thu Dec 22 2005 Patrice Dumas <dumas@centre-cired.fr> - 1.91-13
- add patch to include syslog.h

* Sun Nov 13 2005 <dumas@centre-cired.fr> 1.91-11
- add patch to include openssl/md5.h 

* Sun Nov 13 2005 <dumas@centre-cired.fr> 1.91-10
- rebuild against new openssl

* Fri Sep  2 2005 <dumas@centre-cired.fr> 1.91-9
- bump release

* Fri Aug 26 2005 <dumas@centre-cired.fr> 1.91-8
- add --with-pam-dir switch for ./configure

* Wed Aug 17 2005 <dumas@centre-cired.fr> 1.91-7
- remove openssh from BuildRequires (Dmitry)
- remove pam from Requires, it is picked up automatically

* Tue Aug 16 2005 <dumas@centre-cired.fr> 1.91-6
- new summary from me and Dmirty
- use Dmitry modified patch1 to let user see the informations in 
  /var/run/pam_ssh/ (modified at my request)
- document the agent environment information files location in
  the man page

* Mon Aug 15 2005 Patrice Dumas <dumas@centre-cired.fr> 1.91-5
- remove gcc-g++ from BuildRequires. Merge description with 
  Dmitry description

* Mon Aug 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> 1.91-3
- Allow standalone session module (patch0)
- Move runtime state files from ~/.ssh/agent-<hostname>* to
  /var/run/pam_ssh/<user>* . This is an easy way to provide properly
  cleanups after system crash. (patch1)

* Mon Aug 15 2005 Patrice Dumas <dumas@centre-cired.fr> 1.91-2
- correct URL, use upstream source, add COPYING to %doc

* Sat Apr 01 2004 Patrice Dumas <dumas@centre-cired.fr> 1.91-1
- update source

* Mon Mar 15 2004 Patrice Dumas <dumas@centre-cired.fr> 1.9-0.fdr.1
- Use fedora-newrpmspec to update the spec file

* Fri Aug 16 2002 Dumas Patrice <dumas@centre-cired.fr>
- Initial build.
